Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmNumberOfWorkers.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmNumberOfWorkers.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmNumberOfWorkers.cs	(revision 6)
@@ -0,0 +1,558 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    /// <summary>
+    /// 人員割り振り表示
+    /// </summary>
+    public partial class FrmNumberOfWorkers : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum GridColumn
+        {
+            No = 0,
+            JobCategoryCode,
+            JobCategoryName,
+            CompanyCode,
+            CompanyName,
+            Total,
+            First,
+        }
+        /// <summary>
+        /// グリッド表示行数
+        /// </summary>
+        private const int s_GridDispLine = 5;
+        /// <summary>
+        /// 自画面幅
+        /// </summary>
+        private const int s_MyWidth = 682;
+        /// <summary>
+        /// 自画面高さ
+        /// </summary>
+        private const int s_MyHeight = 368;
+        /// <summary>
+        /// 総計タイトルラベル表示位置Ｘ
+        /// </summary>
+        private const int s_poTitleX = 212;
+        /// <summary>
+        /// 総計表示ラベル表示位置Ｘ
+        /// </summary>
+        private const int s_poTotalX = 412;
+        /// <summary>
+        /// 名称セルサイズ
+        /// </summary>
+        private const int s_CellWidth1 = 160;
+        private const int s_CellWidth2 = 200;
+
+        /// <summary>
+        /// 自社施工定義
+        /// </summary>
+        private KeyValuePair<int, string> s_OwnData = new KeyValuePair<int, string>(-1, "自　　社");
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 工事コード
+        /// </summary>
+        private int m_ConstructionCode = 0;
+
+        /// <summary>
+        /// 担当者コード
+        /// </summary>
+        private int m_PersonCode = 0;
+
+        /// <summary>
+        /// 表示位置
+        /// </summary>
+        private Point m_LocationPoint = new Point(((System.Windows.Forms.Screen.PrimaryScreen.Bounds.Width / 2) - (s_MyWidth / 2)),
+                                                    ((System.Windows.Forms.Screen.PrimaryScreen.Bounds.Height / 2) - (s_MyHeight / 2)));
+
+        /// <summary>
+        /// 終了状態フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+
+        /// <summary>
+        /// 年月人員数作成エリア
+        /// </summary>
+        private DataGridViewColumn[] m_GridColList = null;
+        private DataGridViewCellStyle[] m_GridCellStyleList = null;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+
+        /// <summary>
+        /// 担当者コード
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+
+        /// <summary>
+        /// 終了ボタン状態
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+
+        /// <summary>
+        /// 表示位置
+        /// </summary>
+        public Point LocationPoint
+        {
+            get { return m_LocationPoint; }
+            set { m_LocationPoint = value; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmNumberOfWorkers()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // フォーム表示位置セット
+            Point po = new Point(m_LocationPoint.X - this.Width, m_LocationPoint.Y - (this.Height + 50));
+            this.Location = po;
+
+            // マウスイベントセット
+            dgvMain.MouseDown += new MouseEventHandler(FrmNumberOfWorkers_MouseDown);
+            dgvMain.MouseMove += new MouseEventHandler(FrmNumberOfWorkers_MouseMove);
+            lblCompTitle.MouseDown += new MouseEventHandler(FrmNumberOfWorkers_MouseDown);
+            lblCompTitle.MouseMove += new MouseEventHandler(FrmNumberOfWorkers_MouseMove);
+            lblCompTotal.MouseDown += new MouseEventHandler(FrmNumberOfWorkers_MouseDown);
+            lblCompTotal.MouseMove += new MouseEventHandler(FrmNumberOfWorkers_MouseMove);
+        
+            // データ表示
+            DispData();
+        }
+        #endregion
+
+        #region 終了ボタン
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.None;
+            this.Close();
+        }
+        #endregion
+
+        #region 表示状態を変更する
+        private void SetDisplayStyle()
+        {
+            try
+            {
+                // セルサイズ初期設定
+                dgvMain.Columns[(int)GridColumn.JobCategoryName].Width = s_CellWidth1;
+                dgvMain.Columns[(int)GridColumn.CompanyName].Width = s_CellWidth2;
+
+                // 合計ラベルの初期位置
+                Point po1 = lblCompTitle.Location;
+                po1.X = s_poTitleX;
+                lblCompTitle.Location = po1;
+
+                Point po2 = lblCompTotal.Location;
+                po2.X = s_poTotalX;
+                lblCompTotal.Location = po2;
+
+                if (dgvMain.Rows.Count > s_GridDispLine) return;
+                // 表示行以下の場合
+                int AddCellWidth = 0;
+
+                int addRow = s_GridDispLine - dgvMain.Rows.Count;
+                if (addRow != 0) dgvMain.Rows.Add(addRow);
+
+                dgvMain.ScrollBars = ScrollBars.None;
+                // セルサイズ変更
+                AddCellWidth = dgvMain.RowHeadersWidth;
+
+                dgvMain.Columns[(int)GridColumn.CompanyName].Width += AddCellWidth;
+                dgvMain.Columns[(int)GridColumn.JobCategoryName].Width += AddCellWidth;
+
+                // ラベル位置変更
+                po1 = lblCompTitle.Location;
+                po1.X += AddCellWidth;
+                lblCompTitle.Location = po1;
+
+                po2 = lblCompTotal.Location;
+                po2.X += AddCellWidth;
+                lblCompTotal.Location = po2;
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+
+        }
+        #endregion
+
+        #region データ表示
+        /// <summary>
+        /// データ表示処理
+        /// </summary>
+        private void DispData()
+        {
+            try
+            {
+                // カラムを作成してヘッダー文字をセットする
+                SetHeaderMonth();
+
+                // データ表示処理
+                SetRowData();
+
+                // 表示スタイル変更
+                SetDisplayStyle();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+            }
+        }
+        #endregion
+
+        #region カラムを作成してヘッダー文字をセットする
+        /// <summary>
+        /// カラムを作成してヘッダー文字をセットする
+        /// </summary>
+        private void SetHeaderMonth()
+        {
+            IODailyDataDetail DailyDB = new IODailyDataDetail();
+            try
+            {
+                // 年月カラム数を取得する
+                string strSQL = "SELECT";
+                strSQL += " TO_CHAR(A.DAILYDATADATE, 'YYYY/MM')";
+                strSQL += " FROM DAILYDATADETAIL A, SUBCONTRACTORJOBCATEGORY B, SUBCONTRACTORMASTER C";
+                strSQL += string.Format(" WHERE PersonCode = {0}", m_PersonCode);
+                strSQL += string.Format(" AND ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += " AND A.JOBCATEGORYCODE = B.JOBCATEGORYCODE(+)";
+                strSQL += " AND A.COMPANYCODE = C.COMPANYCODE(+)";
+                strSQL += " group By TO_CHAR(A.DAILYDATADATE, 'YYYY/MM')";
+                strSQL += " ORDER BY 1";
+                ArrayList arList = new ArrayList();
+                DailyDB.ExecuteReader(strSQL, ref arList);
+                if (arList.Count == 0) return;
+
+                int ColumnCount = arList.Count;
+                if (ColumnCount < 2) ColumnCount = 2;
+                m_GridColList = new DataGridViewColumn[ColumnCount];
+                m_GridCellStyleList = new DataGridViewCellStyle[ColumnCount];
+                string strTitle = string.Empty;
+                for (int i = 0; i < ColumnCount; i++)
+                {
+                    strTitle = string.Empty;
+                    if (i < arList.Count)
+                    {
+                        object[] wrkobj = (object[])arList[i];
+                        strTitle = CommonMotions.cnvString(wrkobj[0]);
+                    }
+
+                    // カラム作成
+                    CreateColumn(i, strTitle);
+                    //// スタイル作成
+                    //m_GridCellStyleList[i] = new DataGridViewCellStyle();
+                    //m_GridCellStyleList[i].Alignment = DataGridViewContentAlignment.MiddleRight;
+
+                    //// セル作成
+                    //m_GridColList[i] = new DataGridViewColumn();
+                    //m_GridColList[i].CellTemplate = new DataGridViewTextBoxCell();
+                    //dgv.Columns.Add(m_GridColList[i]);
+
+                    //// カラムの設定
+                    //m_GridColList[i].CellTemplate = new DataGridViewTextBoxCell();
+                    //m_GridColList[i].DefaultCellStyle = m_GridCellStyleList[i];
+                    //m_GridColList[i].HeaderText = CommonMotions.cnvString(wrkobj[0]);
+
+                    //m_GridColList[i].Name = string.Format("GridColumns{0}", i);
+                    //m_GridColList[i].ReadOnly = false;
+                    //m_GridColList[i].Resizable = DataGridViewTriState.False;
+                    //m_GridColList[i].SortMode = DataGridViewColumnSortMode.NotSortable;
+                    //m_GridColList[i].Width = 80;
+                }
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                DailyDB.close(); DailyDB = null;
+            }
+        }
+        #endregion
+
+        #region カラム作成
+        /// <summary>
+        /// カラム作成
+        /// </summary>
+        /// <param name="Cnt"></param>
+        /// <param name="Title"></param>
+        private void CreateColumn(int Cnt, string Title)
+        {
+            try
+            {
+                DataGridView dgv = dgvMain;
+
+                // スタイル作成
+                m_GridCellStyleList[Cnt] = new DataGridViewCellStyle();
+                m_GridCellStyleList[Cnt].Alignment = DataGridViewContentAlignment.MiddleRight;
+
+                // セル作成
+                m_GridColList[Cnt] = new DataGridViewColumn();
+                m_GridColList[Cnt].CellTemplate = new DataGridViewTextBoxCell();
+                dgv.Columns.Add(m_GridColList[Cnt]);
+
+                // カラムの設定
+                m_GridColList[Cnt].CellTemplate = new DataGridViewTextBoxCell();
+                m_GridColList[Cnt].DefaultCellStyle = m_GridCellStyleList[Cnt];
+                m_GridColList[Cnt].HeaderText = Title;
+
+                m_GridColList[Cnt].Name = string.Format("GridColumns{0}", Cnt);
+                m_GridColList[Cnt].ReadOnly = false;
+                m_GridColList[Cnt].Resizable = DataGridViewTriState.False;
+                m_GridColList[Cnt].SortMode = DataGridViewColumnSortMode.NotSortable;
+                m_GridColList[Cnt].Width = 80;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 読込み並び
+        /// <summary>
+        /// 読込み並び
+        /// </summary>
+        private enum DetilData
+        {
+            JobCategoryCode = 0,
+            JobCategoryName,
+            CompanyCode,
+            CompanyName,
+            DailyDataDate,
+            TodayHeadCount,
+        }
+        #endregion
+
+        #region データ表示
+        /// <summary>
+        /// データ表示処理
+        /// </summary>
+        private void SetRowData()
+        {
+            IODailyDataDetail DailyDB = new IODailyDataDetail();
+            double lTotal = 0;
+            try
+            {
+                int icnt = 1;
+                // データを表示する
+                dgvMain.Rows.Clear();
+                string strSQL = "SELECT";
+                strSQL += " A.JOBCATEGORYCODE, B.JOBCATEGORYNAME, A.COMPANYCODE,";
+                strSQL += " C.COMPANYNAME, TO_CHAR(A.DAILYDATADATE, 'YYYY/MM'), SUM(A.TODAYHEADCOUNT)";
+                strSQL += " FROM DAILYDATADETAIL A, SUBCONTRACTORJOBCATEGORY B, SUBCONTRACTORMASTER C";
+                strSQL += string.Format(" WHERE PersonCode = {0}", m_PersonCode);
+                strSQL += string.Format(" AND ConstructionCode = {0}", m_ConstructionCode);
+                strSQL += " AND A.JOBCATEGORYCODE = B.JOBCATEGORYCODE(+)";
+                strSQL += " AND A.COMPANYCODE = C.COMPANYCODE(+)";
+                strSQL += " GROUP BY A.JOBCATEGORYCODE, B.JOBCATEGORYNAME, A.COMPANYCODE, C.COMPANYNAME, TO_CHAR(A.DAILYDATADATE, 'YYYY/MM')";
+                strSQL += " ORDER BY 3, 1, 4";
+
+                ArrayList arList = new ArrayList();
+                DailyDB.ExecuteReader(strSQL, ref arList);
+                if (arList.Count == 0) return;
+
+                DataGridView dgv = dgvMain;
+                foreach (object[] wrkobj in arList)
+                {
+                    // グリッドの対象行を取得する
+                    DataGridViewRow CurRow = GetDataRow(wrkobj, ref icnt);
+                    double dTotal = 0;
+                    // データの年月を取得する
+                    string CurMounth = CommonMotions.cnvString(wrkobj[(int)DetilData.DailyDataDate]);
+                    // グリッドの対象列を取得する
+                    for (int ix = (int)GridColumn.First; ix < dgv.ColumnCount; ix++)
+                    {
+                        // グリッドの対象列を探す
+                        if (CurMounth.Equals(dgv.Columns[ix].HeaderText))
+                        {
+                            // あればセットする
+                            CurRow.Cells[ix].Value = CommonMotions.cnvDouble(wrkobj[(int)DetilData.TodayHeadCount]).ToString("#,0.0");
+                        }
+                        dTotal += CommonMotions.cnvDouble(CurRow.Cells[ix].Value);
+                    }
+                    // 累計値セット
+                    CurRow.Cells[(int)GridColumn.Total].Value = dTotal.ToString("#,0.0");
+                }
+                // 合計集計
+                for (int iy = 0; iy < dgv.RowCount; iy++)
+                {
+                    lTotal += CommonMotions.cnvDouble(dgv.Rows[iy].Cells[(int)GridColumn.Total].Value);
+                }
+
+                if (dgv.RowCount < 15)
+                {
+                    int RCnt = 15 - dgv.RowCount;
+                    dgv.Rows.Add(RCnt);
+                }
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                DailyDB.close(); DailyDB = null;
+                // 合計人数表示
+                lblCompTotal.Text = lTotal.ToString("#,0");
+            }
+        }
+        #endregion
+
+        #region 対象データの行を探す
+        /// <summary>
+        /// 対象データの行を探す
+        /// </summary>
+        /// <param name="wrkobj"></param>
+        /// <param name="icnt"></param>
+        /// <returns></returns>
+        private DataGridViewRow GetDataRow(object[] wrkobj, ref int icnt)
+        {
+            DataGridViewRow RetRow = null;
+            try
+            {
+                DataGridView dgv = dgvMain;
+                for (int iy = 0; iy < dgv.RowCount; iy++)
+                {
+                    int RecJobCode = CommonMotions.cnvInt(wrkobj[(int)DetilData.JobCategoryCode]);
+                    int RecCompanyCode = CommonMotions.cnvInt(wrkobj[(int)DetilData.CompanyCode]);
+                    int GridJobCode = CommonMotions.cnvInt(dgv.Rows[iy].Cells[(int)GridColumn.JobCategoryCode].Value);
+                    int GridCompanyCode = CommonMotions.cnvInt(dgv.Rows[iy].Cells[(int)GridColumn.CompanyCode].Value);
+
+                    // 行に対象データがあればセットする
+                    if (RecJobCode == GridJobCode && RecCompanyCode == GridCompanyCode) 
+                    {
+                        RetRow = dgv.Rows[iy];
+                        break;
+                    }
+                }
+                // 行に対象データが無ければ新たに行を作成する
+                if (RetRow == null)
+                {
+                    int CategoryCode = CommonMotions.cnvInt(wrkobj[(int)DetilData.JobCategoryCode]);
+                    string CategoryName = CommonMotions.cnvString(wrkobj[(int)DetilData.JobCategoryName]);
+                    
+                    int CompanyCode = CommonMotions.cnvInt(wrkobj[(int)DetilData.CompanyCode]);
+                    string CompanyName =CommonMotions.cnvString(wrkobj[(int)DetilData.CompanyName]);
+                    // 自社は文字セット
+                    if (CompanyCode == s_OwnData.Key) CompanyName = s_OwnData.Value;
+
+                    int RowCount = dgv.Rows.Add(icnt++, CategoryCode, CategoryName, CompanyCode, CompanyName, 0);
+                    RetRow = dgv.Rows[RowCount];
+                }
+
+                return RetRow;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return RetRow;
+            }
+        }
+        #endregion
+
+        //マウスのクリック位置を記憶
+        private Point mousePoint;
+
+        #region マウスダウン
+        /// <summary>
+        /// マウスのボタンが押されたとき
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmNumberOfWorkers_MouseDown(object sender, MouseEventArgs e)
+        {
+            if ((e.Button & MouseButtons.Left) == MouseButtons.Left)
+            {
+                //位置を記憶する
+                mousePoint = new Point(e.X, e.Y);
+            }
+        }
+        #endregion
+
+        #region マウスムーブ
+        /// <summary>
+        /// マウスが動いたとき
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmNumberOfWorkers_MouseMove(object sender, MouseEventArgs e)
+        {
+            if ((e.Button & MouseButtons.Left) == MouseButtons.Left)
+            {
+                this.Left += e.X - mousePoint.X;
+                this.Top += e.Y - mousePoint.Y;
+            }
+        }
+        #endregion
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.Designer.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.Designer.cs	(revision 6)
@@ -49,11 +49,13 @@
             this.tabPage2 = new System.Windows.Forms.TabPage();
             this.panel2 = new System.Windows.Forms.Panel();
             this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
-            this.cmbJapaneseSyllabary = new System.Windows.Forms.ComboBox();
+            this.cmbLabour = new System.Windows.Forms.ComboBox();
+            this.label26 = new System.Windows.Forms.Label();
             this.btnMyCompany = new System.Windows.Forms.Button();
             this.label1 = new System.Windows.Forms.Label();
             this.cmbIJobType = new System.Windows.Forms.ComboBox();
             this.label2 = new System.Windows.Forms.Label();
+            this.cmbJapaneseSyllabary = new System.Windows.Forms.ComboBox();
             this.dgvSearch = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -228,7 +230,7 @@
             this.panel2.Controls.Add(this.tableLayoutPanel1);
             this.panel2.Location = new System.Drawing.Point(6, 5);
             this.panel2.Name = "panel2";
-            this.panel2.Size = new System.Drawing.Size(620, 110);
+            this.panel2.Size = new System.Drawing.Size(620, 140);
             this.panel2.TabIndex = 19;
             // 
             // tableLayoutPanel1
@@ -236,31 +238,48 @@
             this.tableLayoutPanel1.ColumnCount = 2;
             this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 25F));
             this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 75F));
-            this.tableLayoutPanel1.Controls.Add(this.cmbJapaneseSyllabary, 1, 1);
-            this.tableLayoutPanel1.Controls.Add(this.btnMyCompany, 0, 2);
+            this.tableLayoutPanel1.Controls.Add(this.cmbLabour, 1, 1);
+            this.tableLayoutPanel1.Controls.Add(this.label26, 0, 1);
+            this.tableLayoutPanel1.Controls.Add(this.btnMyCompany, 0, 3);
             this.tableLayoutPanel1.Controls.Add(this.label1, 0, 0);
             this.tableLayoutPanel1.Controls.Add(this.cmbIJobType, 1, 0);
-            this.tableLayoutPanel1.Controls.Add(this.label2, 0, 1);
+            this.tableLayoutPanel1.Controls.Add(this.label2, 0, 2);
+            this.tableLayoutPanel1.Controls.Add(this.cmbJapaneseSyllabary, 1, 2);
             this.tableLayoutPanel1.Location = new System.Drawing.Point(48, 4);
             this.tableLayoutPanel1.Name = "tableLayoutPanel1";
-            this.tableLayoutPanel1.RowCount = 3;
+            this.tableLayoutPanel1.RowCount = 4;
             this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 30F));
             this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 30F));
+            this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 30F));
             this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 40F));
-            this.tableLayoutPanel1.Size = new System.Drawing.Size(520, 100);
+            this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
+            this.tableLayoutPanel1.Size = new System.Drawing.Size(520, 130);
             this.tableLayoutPanel1.TabIndex = 1;
             // 
-            // cmbJapaneseSyllabary
+            // cmbLabour
             // 
-            this.cmbJapaneseSyllabary.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-            this.cmbJapaneseSyllabary.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-            this.cmbJapaneseSyllabary.FormattingEnabled = true;
-            this.cmbJapaneseSyllabary.Location = new System.Drawing.Point(133, 33);
-            this.cmbJapaneseSyllabary.Name = "cmbJapaneseSyllabary";
-            this.cmbJapaneseSyllabary.Size = new System.Drawing.Size(100, 24);
-            this.cmbJapaneseSyllabary.TabIndex = 2;
-            this.cmbJapaneseSyllabary.SelectedIndexChanged += new System.EventHandler(this.cmbJapaneseSyllabary_SelectedIndexChanged);
+            this.cmbLabour.Dock = System.Windows.Forms.DockStyle.Left;
+            this.cmbLabour.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbLabour.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.cmbLabour.FormattingEnabled = true;
+            this.cmbLabour.Location = new System.Drawing.Point(133, 33);
+            this.cmbLabour.Name = "cmbLabour";
+            this.cmbLabour.Size = new System.Drawing.Size(160, 24);
+            this.cmbLabour.TabIndex = 1;
+            this.cmbLabour.SelectedIndexChanged += new System.EventHandler(this.cmbLabour_SelectedIndexChanged);
             // 
+            // label26
+            // 
+            this.label26.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
+            this.label26.BackColor = System.Drawing.Color.White;
+            this.label26.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label26.Location = new System.Drawing.Point(3, 30);
+            this.label26.Name = "label26";
+            this.label26.Size = new System.Drawing.Size(124, 30);
+            this.label26.TabIndex = 5;
+            this.label26.Text = "協力業者";
+            this.label26.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
             // btnMyCompany
             // 
             this.btnMyCompany.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
@@ -270,10 +289,10 @@
             this.tableLayoutPanel1.SetColumnSpan(this.btnMyCompany, 2);
             this.btnMyCompany.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnMyCompany.ForeColor = System.Drawing.Color.White;
-            this.btnMyCompany.Location = new System.Drawing.Point(3, 63);
+            this.btnMyCompany.Location = new System.Drawing.Point(3, 93);
             this.btnMyCompany.Name = "btnMyCompany";
             this.btnMyCompany.Size = new System.Drawing.Size(514, 34);
-            this.btnMyCompany.TabIndex = 4;
+            this.btnMyCompany.TabIndex = 3;
             this.btnMyCompany.Text = "自　社　選　択";
             this.btnMyCompany.UseVisualStyleBackColor = false;
             this.btnMyCompany.Click += new System.EventHandler(this.btnMyCompany_Click);
@@ -280,11 +299,10 @@
             // 
             // label1
             // 
-            this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
+            this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
             this.label1.BackColor = System.Drawing.Color.White;
             this.label1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label1.Location = new System.Drawing.Point(3, 0);
+            this.label1.Location = new System.Drawing.Point(3, 1);
             this.label1.Name = "label1";
             this.label1.Size = new System.Drawing.Size(124, 27);
             this.label1.TabIndex = 0;
@@ -304,11 +322,10 @@
             // 
             // label2
             // 
-            this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
+            this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right)));
             this.label2.BackColor = System.Drawing.Color.White;
             this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label2.Location = new System.Drawing.Point(3, 30);
+            this.label2.Location = new System.Drawing.Point(3, 61);
             this.label2.Name = "label2";
             this.label2.Size = new System.Drawing.Size(124, 27);
             this.label2.TabIndex = 1;
@@ -315,6 +332,17 @@
             this.label2.Text = "50音順";
             this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
+            // cmbJapaneseSyllabary
+            // 
+            this.cmbJapaneseSyllabary.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbJapaneseSyllabary.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.cmbJapaneseSyllabary.FormattingEnabled = true;
+            this.cmbJapaneseSyllabary.Location = new System.Drawing.Point(133, 63);
+            this.cmbJapaneseSyllabary.Name = "cmbJapaneseSyllabary";
+            this.cmbJapaneseSyllabary.Size = new System.Drawing.Size(100, 24);
+            this.cmbJapaneseSyllabary.TabIndex = 2;
+            this.cmbJapaneseSyllabary.SelectedIndexChanged += new System.EventHandler(this.cmbJapaneseSyllabary_SelectedIndexChanged);
+            // 
             // dgvSearch
             // 
             this.dgvSearch.AllowUserToAddRows = false;
@@ -336,7 +364,7 @@
             this.Column2,
             this.Column3});
             this.dgvSearch.EditMode = System.Windows.Forms.DataGridViewEditMode.EditOnEnter;
-            this.dgvSearch.Location = new System.Drawing.Point(6, 123);
+            this.dgvSearch.Location = new System.Drawing.Point(6, 153);
             this.dgvSearch.MultiSelect = false;
             this.dgvSearch.Name = "dgvSearch";
             this.dgvSearch.RowHeadersVisible = false;
@@ -344,8 +372,9 @@
             this.dgvSearch.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
             this.dgvSearch.RowTemplate.Height = 21;
             this.dgvSearch.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
-            this.dgvSearch.Size = new System.Drawing.Size(620, 460);
+            this.dgvSearch.Size = new System.Drawing.Size(620, 430);
             this.dgvSearch.TabIndex = 18;
+            this.dgvSearch.TabStop = false;
             this.dgvSearch.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvSearch_CellDoubleClick);
             // 
             // Column1
@@ -434,5 +463,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.Button btnMyCompany;
+        private System.Windows.Forms.Label label26;
+        private System.Windows.Forms.ComboBox cmbLabour;
     }
 }
\ No newline at end of file
